<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hslf.model Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hslf.model Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/extractor/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/hslf/model/textproperties/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/model/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.hslf.model</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">java.awt.Graphics
                    <ul>
                        <li type="circle">java.awt.Graphics2D
                            <ul>
                                <li type="circle">org.apache.poi.sl.draw.<a
                                        href="../../../../../org/apache/poi/sl/draw/SLGraphics.html"
                                        title="class in org.apache.poi.sl.draw"><span
                                        class="typeNameLink">SLGraphics</span></a> (implements java.lang.Cloneable)
                                    <ul>
                                        <li type="circle">org.apache.poi.hslf.model.<a
                                                href="../../../../../org/apache/poi/hslf/model/PPGraphics2D.html"
                                                title="class in org.apache.poi.hslf.model"><span class="typeNameLink">PPGraphics2D</span></a>
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hslf.model.<a
                        href="../../../../../org/apache/poi/hslf/model/HeadersFooters.html"
                        title="class in org.apache.poi.hslf.model"><span class="typeNameLink">HeadersFooters</span></a>
                </li>
                <li type="circle">org.apache.poi.hslf.model.<a
                        href="../../../../../org/apache/poi/hslf/model/HSLFMetroShape.html"
                        title="class in org.apache.poi.hslf.model"><span class="typeNameLink">HSLFMetroShape</span></a>&lt;T&gt;
                </li>
                <li type="circle">org.apache.poi.hslf.usermodel.<a
                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                        title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">HSLFShape</span></a>
                    (implements org.apache.poi.sl.usermodel.<a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;)
                    <ul>
                        <li type="circle">org.apache.poi.hslf.usermodel.<a
                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
                                title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">HSLFSimpleShape</span></a>
                            (implements org.apache.poi.sl.usermodel.<a
                                    href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;S,P&gt;)
                            <ul>
                                <li type="circle">org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                        title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">HSLFPictureShape</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;S,P&gt;)
                                    <ul>
                                        <li type="circle">org.apache.poi.hslf.model.<a
                                                href="../../../../../org/apache/poi/hslf/model/ActiveXShape.html"
                                                title="class in org.apache.poi.hslf.model"><span class="typeNameLink">ActiveXShape</span></a>
                                        </li>
                                        <li type="circle">org.apache.poi.hslf.model.<a
                                                href="../../../../../org/apache/poi/hslf/model/MovieShape.html"
                                                title="class in org.apache.poi.hslf.model"><span class="typeNameLink">MovieShape</span></a>
                                        </li>
                                    </ul>
                                </li>
                                <li type="circle">org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                                        title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">HSLFTextShape</span></a>
                                    (implements org.apache.poi.sl.usermodel.<a
                                            href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                            title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;S,P&gt;)
                                    <ul>
                                        <li type="circle">org.apache.poi.hslf.usermodel.<a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html"
                                                title="class in org.apache.poi.hslf.usermodel"><span
                                                class="typeNameLink">HSLFAutoShape</span></a> (implements
                                            org.apache.poi.sl.usermodel.<a
                                                    href="../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                                                    title="interface in org.apache.poi.sl.usermodel">AutoShape</a>&lt;S,P&gt;)
                                            <ul>
                                                <li type="circle">org.apache.poi.hslf.model.<a
                                                        href="../../../../../org/apache/poi/hslf/model/Polygon.html"
                                                        title="class in org.apache.poi.hslf.model"><span
                                                        class="typeNameLink">Polygon</span></a></li>
                                            </ul>
                                        </li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/extractor/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/hslf/model/textproperties/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/model/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
